diff a/src/hotspot/share/gc/z/zUtils.hpp b/src/hotspot/share/gc/z/zUtils.hpp
--- a/src/hotspot/share/gc/z/zUtils.hpp
+++ b/src/hotspot/share/gc/z/zUtils.hpp
@@ -40,10 +40,13 @@
   static size_t bytes_to_words(size_t size_in_words);
   static size_t words_to_bytes(size_t size_in_words);
 
   // Object
   static size_t object_size(zaddress addr);
+  static size_t copy_size(zaddress addr, size_t size);
+  static void initialize_hash_if_necessary(zaddress to_addr, zaddress from_addr);
+
   static void object_copy_disjoint(zaddress from, zaddress to, size_t size);
   static void object_copy_conjoint(zaddress from, zaddress to, size_t size);
 
   // Memory
   static void fill(uintptr_t* addr, size_t count, uintptr_t value);
